Package org.apache.torque.generator.source

# Class ModelNodeFactory

java.lang.Object
org.apache.torque.generator.source.ModelNodeFactory

All Implemented Interfaces:
  `org.apache.commons.jxpath.ri.model.NodePointerFactory`

public class ModelNodeFactory extends Object implements org.apache.commons.jxpath.ri.model.NodePointerFactory
Implements NodePointerFactory for JavaBeans.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov, Thomas Fox

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODEL_NODE_FACTORY_ORDER`
  factory order constant

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelNodeFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.jxpath.ri.model.NodePointer`
  `createNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name, Object bean)`
  `org.apache.commons.jxpath.ri.model.NodePointer`
  `createNodePointer(org.apache.commons.jxpath.ri.QName name, Object bean, Locale locale)`
  `int`
  `getOrder()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODEL_NODE_FACTORY_ORDER

    public static final int MODEL_NODE_FACTORY_ORDER
    factory order constant
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ModelNodeFactory

    public ModelNodeFactory()

- ## Method Details

  - ### getOrder

    public int getOrder()
    Specified by:
      `getOrder` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`

  - ### createNodePointer

    public org.apache.commons.jxpath.ri.model.NodePointer createNodePointer(org.apache.commons.jxpath.ri.QName name, Object bean, Locale locale)
    Specified by:
      `createNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`

  - ### createNodePointer

    public org.apache.commons.jxpath.ri.model.NodePointer createNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name, Object bean)
    Specified by:
      `createNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`